Bug 206065 - databases/mysql57-server, performance-schema is on by default causes eating too much RAM
Summary: databases/mysql57-server, performance-schema is on by default causes eating t...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Mahdi Mokhtari
URL:
Keywords:
Depends on: 205956
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-09 10:29 UTC by Mahdi Mokhtari
Modified: 2016-02-04 13:16 UTC (History)
1 user (show)

See Also:
mmokhi: maintainer-feedback+
riggs: merge-quarterly+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mahdi Mokhtari freebsd_committer freebsd_triage 2016-01-09 10:29:02 UTC
This is not actually a bug.
but maybe it'd be better to disable  performance-schema feature of MySQL by default, as it causes eating to much RAM.

This is a problem since MySQL56
Comment 1 Mahdi Mokhtari freebsd_committer freebsd_triage 2016-01-09 10:30:08 UTC
more info on "https://bugs.mysql.com/bug.php?id=68287"
Comment 2 Mahdi Mokhtari freebsd_committer freebsd_triage 2016-01-09 10:30:58 UTC
I've solved this problem in patch that i've released for "issue#205956"
Comment 3 commit-hook freebsd_committer 2016-02-03 23:11:33 UTC
A commit references this bug:

Author: riggs
Date: Wed Feb  3 23:11:18 UTC 2016
New revision: 408005
URL: https://svnweb.freebsd.org/changeset/ports/408005

Log:
  - Fix plist
    - binary_log_types.h is now installed only by client, not server
    - lib/mysql/plugin/ha_example.so is only installed if
      EXAMPLES OPTION is turned off
  - Bump PORTREVISION
  - Allow slave port to override PORTREVISION if necessary
  - Deactivate performance_schema feature to conserve memory
  - Add notes to pkg-message:
    - root password
    - performance_schema feature is deactivated by default to reduce
      memory footprint

  PR:		205956 206065
  Submitted by:	smh
  Reviewed by:	mokhi64@gmail.com (maintainer)
  Approved by:	mokhi64@gmail.com (maintainer)
  MFH:		2016Q1

Changes:
  head/databases/mysql57-client/files/patch-include_CMakeLists.txt
  head/databases/mysql57-client/pkg-plist
  head/databases/mysql57-server/Makefile
  head/databases/mysql57-server/files/mysql-server.in
  head/databases/mysql57-server/files/patch-include_CMakeLists.txt
  head/databases/mysql57-server/pkg-message
  head/databases/mysql57-server/pkg-plist
Comment 4 Thomas Zander freebsd_committer 2016-02-03 23:15:37 UTC
MFH to 2016Q1 was requested as part of r408005 via bug 205956
Comment 5 commit-hook freebsd_committer 2016-02-04 06:17:05 UTC
A commit references this bug:

Author: riggs
Date: Thu Feb  4 06:16:30 UTC 2016
New revision: 408012
URL: https://svnweb.freebsd.org/changeset/ports/408012

Log:
  MFH: r408005

  - Fix plist
    - binary_log_types.h is now installed only by client, not server
    - lib/mysql/plugin/ha_example.so is only installed if
      EXAMPLES OPTION is turned off
  - Bump PORTREVISION
  - Allow slave port to override PORTREVISION if necessary
  - Deactivate performance_schema feature to conserve memory
  - Add notes to pkg-message:
    - root password
    - performance_schema feature is deactivated by default to reduce
      memory footprint
  - Allow port to build while boost-libs-1.55 is installed

  PR:		205956 206065 206612 206879
  Submitted by:	smh
  Reviewed by:	mokhi64@gmail.com (maintainer)
  Approved by:	ports-secteam (feld), mokhi64@gmail.com (maintainer)

Changes:
_U  branches/2016Q1/
  branches/2016Q1/databases/mysql57-client/Makefile
  branches/2016Q1/databases/mysql57-client/files/patch-include_CMakeLists.txt
  branches/2016Q1/databases/mysql57-client/pkg-plist
  branches/2016Q1/databases/mysql57-server/Makefile
  branches/2016Q1/databases/mysql57-server/files/mysql-server.in
  branches/2016Q1/databases/mysql57-server/files/patch-include_CMakeLists.txt
  branches/2016Q1/databases/mysql57-server/pkg-message
  branches/2016Q1/databases/mysql57-server/pkg-plist